Subject: Re: [bug#31520] [PATCH] gnu: u-boot-tools: Enable tests.
From: Danny Milosavljevic <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked]
Date: Mon, 28 May 2018 23:52:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludo,

On Mon, 28 May 2018 09:57:37 +0200
[email-masked] (Ludovic Courtès) wrote:
> OK.  If u-boot-tools has both Python and dtc as inputs, then PYTHONPATH
> is correctly defined, isn’t it?

Hmm, then I don't understand how native-search-paths works.

I thought native-search-paths would just add $package/$path for the current
package--but it seems guix uses it as a pattern in all packages, not just
the package that specified it.

It indeed works if I remove native-search-paths from dtc, so I've pushed it
without.